#!/usr/bin/python
import socket
import sys
import time

strData = '<?xml version="1.0" encoding="utf-8"?>'
strData += '<response status="ok">'
strData += '<device id="TX-NR646">'
strData += '<brand>ONKYO</brand>'
strData += '<category>AV Receiver</category>'
strData += '<year>2015</year>'
strData += '<model>TX-NR646</model>'
strData += '<destination>xx</destination>'
strData += '<modeliconurl>http://192.168.0.106/icon/AVR_120.jpg</modeliconurl>'
strData += '<friendlyname>TX-NR646</friendlyname>'
strData += '<firmwareversion>1060-3040-1105-0000-0000</firmwareversion>'
strData += '<netservicelist count="18">'
strData += '<netservice id="0e" value="1" name="TuneIn Radio" account="Username" password="Password" />'
strData += '<netservice id="0c" value="0" name="radiko.jp" /><netservice id="04" value="1" name="Pandora" account="Email" password="Password" />'
strData += '<netservice id="0a" value="1" name="Spotify" />'
strData += '<netservice id="03" value="0" name="SiriusXM Internet Radio" account="User Name" password="Password" />'
strData += '<netservice id="08" value="0" name="Slacker Personal Radio" account="Email" password="Password" />'
strData += '<netservice id="12" value="1" name="Deezer" account="E-mailadres" password="Wachtwoord" />'
strData += '<netservice id="18" value="1" name="AirPlay" /><netservice id="00" value="1" name="DLNA" />'
strData += '<netservice id="05" value="0" name="Rhapsody" account="Username" password="Password" />'
strData += '<netservice id="06" value="0" name="Last.fm Internet Radio" account="User Name" password="Password" />'
strData += '<netservice id="0d" value="0" name="e-onkyo music" />'
strData += '<netservice id="10" value="0" name="simfy" account="Username or email address." password="Password" />'
strData += '<netservice id="0f" value="0" name="MP3tunes" account="Email" password="Password" />'
strData += '<netservice id="11" value="1" name="Home Media" account="User Name" password="Password" />'
strData += '<netservice id="f0" value="1" name="USB" />'
strData += '<netservice id="f1" value="0" name="USB(Achterzijde)" />'
strData += '<netservice id="01" value="1" name="My Favorites" />'
strData += '</netservicelist>'
strData += '<zonelist count="4">'
strData += '<zone id="1" value="1" name="Main" volmax="80" volstep="1" />'
strData += '<zone id="2" value="1" name="Zone2" volmax="80" volstep="1" />'
strData += '<zone id="3" value="0" name="Zone3" volmax="0" volstep="0" />'
strData += '<zone id="4" value="0" name="Zone4" volmax="0" volstep="0" />'
strData += '</zonelist>'
strData += '<selectorlist count="14">'
strData += '<selector id="10" value="1" name="Xbox One" zone="03" iconid="10" />'
strData += '<selector id="11" value="1" name="PS 3" zone="03" iconid="11" />'
strData += '<selector id="01" value="1" name="Dreambox" zone="03" iconid="01" />'
strData += '<selector id="05" value="1" name="PC" zone="03" iconid="05" />'
strData += '<selector id="02" value="1" name="Xbox 360" zone="03" iconid="02" />'
strData += '<selector id="03" value="1" name="AUX" zone="01" iconid="03" />'
strData += '<selector id="23" value="1" name="CD" zone="03" iconid="47" />'
strData += '<selector id="22" value="1" name="PHONO" zone="03" iconid="22" />'
strData += '<selector id="12" value="1" name="TV" zone="03" iconid="12" />'
strData += '<selector id="24" value="1" name="FM" zone="03" iconid="24" />'
strData += '<selector id="25" value="1" name="AM" zone="03" iconid="25" />'
strData += '<selector id="2b" value="1" name="NET" zone="03" iconid="2b" />'
strData += '<selector id="2e" value="1" name="BLUETOOTH" zone="03" iconid="2e" />'
strData += '<selector id="80" value="1" name="Source" zone="02" />'
strData += '</selectorlist>'
strData += '<presetlist count="40">'
strData += '<preset id="01" band="1" freq="98.90" name="NPO R1    " />'
strData += '<preset id="02" band="1" freq="92.60" name="R2 KRO    " />'
strData += '<preset id="03" band="1" freq="96.80" name="NPO 3FM   " />'
strData += '<preset id="04" band="1" freq="94.30" name="NPO R4    " />'
strData += '<preset id="05" band="1" freq="101.20" name="SKYRADIO  " />'
strData += '<preset id="06" band="1" freq="102.10" name="RADIO538  " />'
strData += '<preset id="07" band="1" freq="103.60" name="RADIO 10  " />'
strData += '<preset id="08" band="1" freq="105.70" name="LOLRADIO  " />'
strData += '<preset id="09" band="1" freq="87.70" name="RADIO 10  " />'
strData += '<preset id="0a" band="1" freq="90.70" name="90.7 FM   " />'
strData += '<preset id="0b" band="1" freq="91.10" name="SLAM!FM   " />'
strData += '<preset id="0c" band="1" freq="91.60" name="VERONICA  " />'
strData += '<preset id="0d" band="0" freq="0" name="" />'
strData += '<preset id="0e" band="0" freq="0" name="" />'
strData += '<preset id="0f" band="0" freq="0" name="" />'
strData += '<preset id="10" band="0" freq="0" name="" />'
strData += '<preset id="11" band="0" freq="0" name="" />'
strData += '<preset id="12" band="0" freq="0" name="" />'
strData += '<preset id="13" band="0" freq="0" name="" />'
strData += '<preset id="14" band="0" freq="0" name="" />'
strData += '<preset id="15" band="0" freq="0" name="" />'
strData += '<preset id="16" band="0" freq="0" name="" />'
strData += '<preset id="17" band="0" freq="0" name="" />'
strData += '<preset id="18" band="0" freq="0" name="" />'
strData += '<preset id="19" band="0" freq="0" name="" />'
strData += '<preset id="1a" band="0" freq="0" name="" />'
strData += '<preset id="1b" band="0" freq="0" name="" />'
strData += '<preset id="1c" band="0" freq="0" name="" />'
strData += '<preset id="1d" band="0" freq="0" name="" />'
strData += '<preset id="1e" band="0" freq="0" name="" />'
strData += '<preset id="1f" band="0" freq="0" name="" />'
strData += '<preset id="20" band="0" freq="0" name="" />'
strData += '<preset id="21" band="0" freq="0" name="" />'
strData += '<preset id="22" band="0" freq="0" name="" />'
strData += '<preset id="23" band="0" freq="0" name="" />'
strData += '<preset id="24" band="0" freq="0" name="" />'
strData += '<preset id="25" band="0" freq="0" name="" />'
strData += '<preset id="26" band="0" freq="0" name="" />'
strData += '<preset id="27" band="0" freq="0" name="" />'
strData += '<preset id="28" band="0" freq="0" name="" />'
strData += '</presetlist>'
strData += '<controllist count="40">'
strData += '<control id="Bass" value="1" zone="1" min="-10" max="10" step="2" />'
strData += '<control id="Treble" value="1" zone="1" min="-10" max="10" step="2" />'
strData += '<control id="Center Level" value="1" zone="1" min="-12" max="12" step="1" />'
strData += '<control id="Subwoofer Level" value="1" zone="1" min="-15" max="12" step="1" />'
strData += '<control id="Subwoofer1 Level" value="0" zone="1" min="-15" max="12" step="1" />'
strData += '<control id="Subwoofer2 Level" value="0" zone="1" min="-15" max="12" step="1" />'
strData += '<control id="Phase Matching Bass" value="1" />'
strData += '<control id="LMD Movie/TV" value="1" code="MOVIE" position="1" />'
strData += '<control id="LMD Music" value="1" code="MUSIC" position="2" />'
strData += '<control id="LMD Game" value="1" code="GAME" position="3" />'
strData += '<control id="LMD THX" value="0" code="04" position="4" />'
strData += '<control id="LMD Stereo" value="1" code="00" position="4" />'
strData += '<control id="LMD Direct" value="0" code="01" position="1" />'
strData += '<control id="LMD Pure Audio" value="0" code="11" position="2" />'
strData += '<control id="TUNER Control" value="1" />'
strData += '<control id="TUNER Freq Control" value="0" />'
strData += '<control id="Info" value="1" />'
strData += '<control id="NoVideoInfo" value="0" />'
strData += '<control id="NoAudioInfo" value="0" />'
strData += '<control id="Cursor" value="1" />'
strData += '<control id="Home" value="0" code="HOME" position="2" />'
strData += '<control id="Setup" value="1" code="MENU" position="2" />'
strData += '<control id="Quick" value="1" code="QUICK" position="1" />'
strData += '<control id="Menu" value="0" code="MENU" position="1" />'
strData += '<control id="AMP Control(RI)" value="0" />'
strData += '<control id="CD Control(RI)" value="0" />'
strData += '<control id="CD Control" value="0" />'
strData += '<control id="BD Control(CEC)" value="1" />'
strData += '<control id="TV Control(CEC)" value="1" />'
strData += '<control id="NoPowerButton" value="0" />'
strData += '<control id="DownSample" value="0" />'
strData += '<control id="Dimmer" value="0" />'
strData += '<control id="time_hhmmss" value="1" />'
strData += '<control id="Zone2 Control(CEC)" value="0" />'
strData += '<control id="Sub Control(CEC)" value="0" />'
strData += '<control id="NoNetworkStandby" value="0" />'
strData += '<control id="NJAREQ" value="1" />'
strData += '<control id="Music Optimizer" value="1" />'
strData += '<control id="NoVideoInfo" value="0" />'
strData += '<control id="NoAudioInfo" value="0" />'
strData += '</controllist>'
strData += '<functionlist count="6">'
strData += '<function id="UsbUpdate" value="0" />'
strData += '<function id="NetUpdate" value="0" />'
strData += '<function id="WebSetup" value="1" />'
strData += '<function id="WifiSetup" value="1" />'
strData += '<function id="Nettune" value="0" />'
strData += '<function id="Initialize" value="0" />'
strData += '</functionlist>'
strData += '<tuners count="2">'
strData += '<tuner band="FM" min="87500" max="108000" step="50" />'
strData += '<tuner band="AM" min="522" max="1611" step="9" />'
strData += '</tuners>'
strData += '</device>'
strData += '</response>'

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

sock.bind(('127.0.0.1', 10000))

sock.listen(1)

connection, client_address = sock.accept()

while True:
  time.sleep(10)
  print "Sending " + str(len(strData)) + " bytes of data"

  connection.sendall(strData)

connection.close()
